%define ocamlname base64

Name:           ocaml-%{ocamlname}
Version:        2.2.0
Release:        1%{?dist}.emp1
Summary:        Base64 encoding for OCaml
License:        ISC
URL:            https://github.com/mirage/ocaml-base64
Source0:        %{ocamlname}-%{version}.tbz

Requires:  	ocaml

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  jbuilder
BuildRequires:  ocaml-bos
BuildRequires:  ocaml-rresult
BuildRequires:  ocaml-alcotest

%description
Base64 is a group of similar binary-to-text encoding schemes that represent
binary data in an ASCII string format by translating it into a radix-64
representation.  It is specified in [RFC 4648][rfc4648].

See also [documentation][docs].

[rfc4648]: https://tools.ietf.org/html/rfc4648
[docs]: http://mirage.github.io/ocaml-base64/base64/

## Example

Simple encoding and decoding.

```shell
utop # #require "base64";;
utop # let enc = B64.encode "OCaml rocks!";;
val enc : string = "T0NhbWwgcm9ja3Mh"
utop # let plain = B64.decode enc;;
val plain : string = "OCaml rocks!"
```

## License

[ISC](https://www.isc.org/downloads/software-support-policy/isc-license/)

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder subst
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%check
jbuilder runtest  -p %{ocamlname} %{?_smp_mflags}

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
